package com.ruoyi.shipping.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.shipping.domain.TCntr;
import org.apache.ibatis.annotations.Param;

/**
 * 集装箱Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-22
 */
public interface TCntrMapper 
{
    /**
     * 查询集装箱
     * 
     * @param fId 集装箱ID
     * @return 集装箱
     */
    public TCntr selectTCntrById(Long fId);

    /**
     * 查询集装箱列表
     * 
     * @param tCntr 集装箱
     * @return 集装箱集合
     */
    public List<TCntr> selectTCntrList(TCntr tCntr);

    /**
     * 新增集装箱
     * 
     * @param tCntr 集装箱
     * @return 结果
     */
    public int insertTCntr(TCntr tCntr);

    /**
     * 修改集装箱
     * 
     * @param tCntr 集装箱
     * @return 结果
     */
    public int updateTCntr(TCntr tCntr);

    /**
     * 删除集装箱
     * 
     * @param fId 集装箱ID
     * @return 结果
     */
    public int deleteTCntrById(Long fId);

    /**
     * 批量删除集装箱
     * 
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTCntrByIds(Long[] fIds);

    /**
     * 获取集装箱的编号和id
     * @param tCntr
     * @return
     */
    public List<Map<String, Object>>selectRcntrName(TCntr tCntr);

    /**
     * 获取集装箱的编号
     * @return
     */
    public  List<String> selectTCntrFNo();

    /**
     * 获取集装箱id
     * @param fNo
     * @return
     */
    public Long selectRcntrFId(@Param("fNo") String fNo);
    /**
     * 查询集装箱表里的编号
     * @param fType
     * @return
     */
    public TCntr selectTcnrFno(@Param("fNo") String fType);
    /**
     * 查询集装箱表里的名称
     * @param fType
     * @return
     */
    public TCntr selectTcnrFName(@Param("fName") String fType);
}
